<template>
	<view :class="[AppTheme]">
		<view class="jl" v-if="cZInfo.length">
			<view v-for="(item, index) in cZInfo" :key="index" class="borde-b">
				<view class="jl-c">
					<view class="sr" v-if="item.paytype == '支付宝'">支付宝</view>
					<view class="sr" v-if="item.paytype == '微信'">微信</view>
					<view class="sr" v-if="item.paytype == '线下'">线下充值</view>
					<view class="sr-p text-neutral">+ ￥{{ item.money }}</view>
				</view>
				<view class="time">{{ item.ctime }}</view>
			</view>
		</view>
		<view v-else>
			<u-empty text="暂无记录" marginTop="0"  mode="history" ></u-empty>
		</view>
	</view>
</template>

<script>
	import wallApi from '@/api/wall/index.js';
	export default {
		data() {
			return {
				cZInfo: [], //充值记录
				p: 1,
				pagesize: 10,
			}
		},
		onLoad() {
			this.getCzList()
		},
		methods: {
			getCzList() {
				wallApi.czRecord({
					p: this.p,
					pagesize: this.pagesize
				}).then(res => {
					if (res.status == 200) {
						console.log(res, "res")
						this.cZInfo = this.cZInfo.concat(res.data);
						if (res.data.length == 0 || res.data.length < 10) {
							this.more = 'noMore';
						}
					} else {
						this.more = 'noMore';
					}
				});
			},
		}
	}
</script>

<style lang="scss" scoped>
	.jl {
		width: 100%;
		background-color: #ffffff;
		margin: 0 auto;
		.borde-b {
			border-bottom: 2rpx solid #eeeeee;
		}

		.jl-c {
			display: flex;
			justify-content: space-between;
			padding: 30rpx;
		}

		.sr {
			padding-left: 32rpx;
			font-size: 30rpx;
			font-family: PingFang SC;
			font-weight: 500;
			color: rgba(51, 51, 51, 1);
		}

		.sr-p {
			padding-right: 32rpx;
			font-size: 30rpx;
			font-family: PingFang SC;
			font-weight: bold;
		}

		.time {
			padding-left: 32rpx;
			font-size: 24rpx;
			font-family: PingFang SC;
			font-weight: 500;
			color: rgba(153, 153, 153, 1);
			padding-bottom: 18rpx;
		}
	}
</style>
